Bug 1284519 - [abrt] ktp-contact-list: SignOn::Identity::storeCredentials(): ktp-contactlist killed by SIGSEGV
[abrt] ktp-contact-list: SignOn::Identity::storeCredentials(): ktp-contactlis...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ktp-contact-list (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:05e72aaecb5c8497e33e8843ac0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 09:07 EST by Allan Poulsen
Modified: 2016-12-20 11:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:12:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.86 KB, text/plain)
2015-11-23 09:07 EST, Allan Poulsen
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-23 09:07 EST, Allan Poulsen
no flags Details
File: core_backtrace (17.11 KB, text/plain)
2015-11-23 09:07 EST, Allan Poulsen
no flags Details
File: dso_list (24.45 KB, text/plain)
2015-11-23 09:07 EST, Allan Poulsen
no flags Details
File: environ (2.34 KB, text/plain)
2015-11-23 09:07 EST, Allan Poulsen
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-23 09:07 EST, Allan Poulsen
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-23 09:07 EST, Allan Poulsen
no flags Details
File: maps (102.92 KB, text/plain)
2015-11-23 09:07 EST, Allan Poulsen
no flags Details
File: mountinfo (4.01 KB, text/plain)
2015-11-23 09:07 EST, Allan Poulsen
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-23 09:08 EST, Allan Poulsen
no flags Details
File: open_fds (1.80 KB, text/plain)
2015-11-23 09:08 EST, Allan Poulsen
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2015-11-23 09:08 EST, Allan Poulsen
no flags Details
File: var_log_messages (313 bytes, text/plain)
2015-11-23 09:08 EST, Allan Poulsen
no flags Details

  None (edit)
Description Allan Poulsen 2015-11-23 09:07:40 EST
Version-Release number of selected component:
ktp-contact-list-15.08.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/ktp-contactlist
crash_function: SignOn::Identity::storeCredentials
executable:     /usr/bin/ktp-contactlist
global_pid:     12862
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SignOn::Identity::storeCredentials at identity.cpp:93
 #1 KAccountsUiProvider::storePasswordInSso at ../../../plugins/kaccounts/kaccounts-ui-provider.cpp:449
 #2 KAccountsUiProvider::<lambda(Tp::PendingOperation*)>::operator()(Tp::PendingOperation *) const at ../../../plugins/kaccounts/kaccounts-ui-provider.cpp:402
 #3 QtPrivate::FunctorCall<QtPrivate::IndexesList<0>, QtPrivate::List<Tp::PendingOperation*>, void, KAccountsUiProvider::onConfigureAccountDialogAccepted()::<lambda(Tp::PendingOperation*)> >::call at /usr/include/qt5/QtCore/qobjectdefs_impl.h:495
 #4 QtPrivate::Functor<KAccountsUiProvider::onConfigureAccountDialogAccepted()::<lambda(Tp::PendingOperation*)>, 1>::call<QtPrivate::List<Tp::PendingOperation*>, void> at /usr/include/qt5/QtCore/qobjectdefs_impl.h:552
 #5 QtPrivate::QFunctorSlotObject<KAccountsUiProvider::onConfigureAccountDialogAccepted()::<lambda(Tp::PendingOperation*)>, 1, QtPrivate::List<Tp::PendingOperation*>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) at /usr/include/qt5/QtCore/qobject_impl.h:192
 #6 QtPrivate::QSlotObjectBase::call at ../../src/corelib/kernel/qobject_impl.h:124
 #7 QMetaObject::activate at kernel/qobject.cpp:3698
 #9 Tp::PendingOperation::finished at /usr/src/debug/telepathy-qt-0.9.6.1/x86_64-redhat-linux-gnu-qt5/TelepathyQt/_gen/pending-operation.moc.hpp:161
 #10 Tp::PendingOperation::emitFinished at /usr/src/debug/telepathy-qt-0.9.6.1/TelepathyQt/pending-operation.cpp:123
Comment 1 Allan Poulsen 2015-11-23 09:07:46 EST
Created attachment 1097657 [details]
File: backtrace
Comment 2 Allan Poulsen 2015-11-23 09:07:47 EST
Created attachment 1097658 [details]
File: cgroup
Comment 3 Allan Poulsen 2015-11-23 09:07:49 EST
Created attachment 1097659 [details]
File: core_backtrace
Comment 4 Allan Poulsen 2015-11-23 09:07:51 EST
Created attachment 1097660 [details]
File: dso_list
Comment 5 Allan Poulsen 2015-11-23 09:07:52 EST
Created attachment 1097661 [details]
File: environ
Comment 6 Allan Poulsen 2015-11-23 09:07:53 EST
Created attachment 1097662 [details]
File: exploitable
Comment 7 Allan Poulsen 2015-11-23 09:07:55 EST
Created attachment 1097663 [details]
File: limits
Comment 8 Allan Poulsen 2015-11-23 09:07:57 EST
Created attachment 1097664 [details]
File: maps
Comment 9 Allan Poulsen 2015-11-23 09:07:58 EST
Created attachment 1097665 [details]
File: mountinfo
Comment 10 Allan Poulsen 2015-11-23 09:08:00 EST
Created attachment 1097666 [details]
File: namespaces
Comment 11 Allan Poulsen 2015-11-23 09:08:01 EST
Created attachment 1097667 [details]
File: open_fds
Comment 12 Allan Poulsen 2015-11-23 09:08:03 EST
Created attachment 1097668 [details]
File: proc_pid_status
Comment 13 Allan Poulsen 2015-11-23 09:08:04 EST
Created attachment 1097669 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 08:39:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:12:04 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.